Bug 445503 - xorg-x11-drv-radeonhd 1.1.0-7 locks up iMac
Summary: xorg-x11-drv-radeonhd 1.1.0-7 locks up iMac
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-radeonhd   
(Show other bugs)
Version: 9
Hardware: x86_64 Linux
low
high
Target Milestone: ---
Assignee: Hans Ulrich Niedermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-07 08:49 UTC by Oskari Saarenmaa
Modified: 2008-05-17 09:31 UTC (History)
1 user (show)

Fixed In Version: xorg-x11-drv-radeonhd-1.2.1-1.1.20080429git.fc9.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-17 09:31:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Oskari Saarenmaa 2008-05-07 08:49:20 UTC
Description of problem:
Upgrading from F8 to F9 preview causes hard freeze on my iMac when Xorg starts
with the radeonhd driver which worked fine on F8.  On F8 the "radeon" driver
wouldn't work at all, but on F9 preview switching to it fixed the problem.

Also upgrading radeonhd driver from 1.1.0 to current git (version 1.2.1) fixed
the problem.

Version-Release number of selected component (if applicable):
xorg-x11-drv-radeonhd-1.1.0-0.7.20080301git.fc8.x86_64.rpm

How reproducible:
Always

Steps to Reproduce:
1. Start X
  
Actual results:
X11 cursor is drawn and the system locks up and can't be accessed from console
or network anymore.

Expected results:
X starts normally.

Comment 1 Hans Ulrich Niedermann 2008-05-07 11:18:55 UTC
I believe this might be fixed in xorg-x11-drv-radeonhd-1.2.1-1.1.20080429git.fc9
which is waiting to get into the updates.

Download it from http://koji.fedoraproject.org/koji/buildinfo?buildID=47632 in
the mean time.


Comment 2 Bug Zapper 2008-05-14 10:45:23 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Hans Ulrich Niedermann 2008-05-17 08:36:00 UTC
Could you please verify that xorg-x11-drv-radeonhd-1.2.1-1.1.20080429git.fc9
from updates works for you? 

Thanks.


Comment 4 Oskari Saarenmaa 2008-05-17 09:31:26 UTC
Works fine. Thanks.


Note You need to log in before you can comment on or make changes to this bug.